Package org.apache.sling.api.servlets

# Interface OptingServlet

All Superinterfaces:
  `javax.servlet.Servlet`

All Known Implementing Classes:
  `JakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper`

@Deprecated @ConsumerType public interface OptingServlet extends javax.servlet.Servlet
Deprecated.
Use `JakartaOptingServlet` instead
The `OptingServlet` interface may be implemented by `Servlets` used by Sling which may choose to not handle all requests for which they would be selected based on their registration properties. Note that servlets implementing this interface can have an impact on system performance, as their resolution cannot be cached: the resolver has no insight into which parts of the request cause `accepts(org.apache.sling.api.SlingHttpServletRequest)` to return true.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepts(@NotNull SlingHttpServletRequest request)`
Deprecated.
Examines the request, and return `true` if this servlet is willing to handle the request.

### Methods inherited from interface javax.servlet.Servlet

`destroy, getServletConfig, getServletInfo, init, service`

## Method Details

### accepts

boolean accepts(@NotNull @NotNull SlingHttpServletRequest request)
Deprecated.
Examines the request, and return `true` if this servlet is willing to handle the request. If `false` is returned, the request will be ignored by this servlet, and may be handled by other servlets.

Parameters:
  `request` - The request to examine
Returns:
  `true` if this servlet will handle the request, `false` otherwise